### Method

# Vips Image tiffsave_target

#### Declaration [src]

    int
    vips_tiffsave_target (
      VipsImage* in,
      VipsTarget* target,
      ...
    )

#### Description [src]

As `vips_tiffsave()`, but save to a target.

Optional arguments

- `compression`: `VipsForeignTiffCompression`, write with this compression
- `Q`: `gint`, quality factor
- `predictor`: `VipsForeignTiffPredictor`, use this predictor
- `tile`: `gboolean`, set `TRUE` to write a tiled tiff
- `tile_width`: `gint`, for tile size
- `tile_height`: `gint`, for tile size
- `pyramid`: `gboolean`, write an image pyramid
- `bitdepth`: `gint`, change bit depth to 1,2, or 4 bit
- `miniswhite`: `gboolean`, write 1-bit images as MINISWHITE
- `resunit`: `VipsForeignTiffResunit` for resolution unit
- `xres`: `gdouble`, horizontal resolution in pixels/mm
- `yres`: `gdouble`, vertical resolution in pixels/mm
- `bigtiff`: `gboolean`, write a BigTiff file
- `properties`: `gboolean`, set `TRUE` to write an IMAGEDESCRIPTION tag
- `region_shrink`: `VipsRegionShrink` How to shrink each 2x2 region.
- `level`: `gint`, Zstd or Deflate (zlib) compression level
- `lossless`: `gboolean`, WebP lossless mode
- `depth`: `VipsForeignDzDepth` how deep to make the pyramid
- `subifd`: `gboolean`, write pyr layers as sub-ifds
- `premultiply`: `gboolean`, write premultiplied alpha

See also

`vips_tiffsave()`, `vips_image_write_to_target()`.

This method is not directly available to language bindings.

#### Parameters

`target`

  Type: `VipsTarget`

  Save image to this target.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.